
QGIS Application - Bug report #3694

WMS quality worse on QGIS server compared to QGIS desktop

2011-03-31 05:18 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13753

Description

Since a couple days/weeks it seems like the display quality of WMS, when used through QGIS server got substantially worse.

It could be either a dpi, or a resampling issue, or an unnecessary reprojection which results in lower quality.

Here is a test URL:

Original UMN Mapserver URL with original quality:

http://gis.uster.ch/cgi/mapserv?map=/home/www/mapserverdata/uster_uep.map

WMS through QGIS server:

http://gis.uster.ch/cgi/qgis_mapserv.fcgi?map=/home/www/projekte/orthofotos_und_uep/orthofotos_und_uep.qgs

Layer: Übersichtsplan 2009

History

#1 - 2011-03-31 05:30 AM - Andreas Neumann

Here is a Screenshot: on the left is the better quality of QGIS desktop, on the right the lower quality of QGIS server. Both use the same WMS from UMN

mapserver as a source.

http://gis.uster.ch/bugreports/qgis/qgis_desktop_vs_server.png

#2 - 2011-04-14 05:06 AM - Redmine Admin

The DPI bug was fixed in trunk commit:72ee7e6d (SVN r15700). Can you verify if this ticket was also fixed?

#3 - 2011-09-30 02:45 PM - Jürgen Fischer

- Assignee deleted (Redmine Admin)

- Category changed from Rasters to Web Services clients/WMS

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

#4 - 2011-10-01 02:03 AM - Andreas Neumann

- Resolution set to worksforme

I think this was fixed meanwhile. I don't see the problem anymore.

Andreas
#5 - 2011-10-01 02:22 AM - Giovanni Manghi

- Status changed from Feedback to Closed
